<?php
$section  = 'footer';
$priority = 1;
$prefix   = 'footer_';

$footers = Healsoul_Footer::get_list_footers( true );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => $prefix . 'page',
	'label'       => esc_html__( 'Footer', 'healsoul' ),
	'description' => esc_html__( 'Select a default footer for all pages.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => 'footer-01',
	'choices'     => Healsoul_Footer::get_list_footers(),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'single_service_footer_page',
	'label'       => esc_html__( 'Single Service', 'healsoul' ),
	'description' => esc_html__( 'Select default footer that displays on all single service pages.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => 'footer-01',
	'choices'     => $footers,
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'single_case_study_footer_page',
	'label'       => esc_html__( 'Single Case Study', 'healsoul' ),
	'description' => esc_html__( 'Select default footer that displays on all single case study pages.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => 'footer-01',
	'choices'     => $footers,
) );
