<?php
$section  = 'header';
$priority = 1;
$prefix   = 'header_';

$headers = Healsoul_Helper::get_header_list( true );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'global_header',
	'label'       => esc_html__( 'Default Header', 'healsoul' ),
	'description' => esc_html__( 'Select default header type for your site.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '22',
	'choices'     => Healsoul_Helper::get_header_list(),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'single_page_header_type',
	'label'       => esc_html__( 'Single Page', 'healsoul' ),
	'description' => esc_html__( 'Select default header type that displays on all single pages.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '',
	'choices'     => $headers,
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'single_post_header_type',
	'label'       => esc_html__( 'Single Blog', 'healsoul' ),
	'description' => esc_html__( 'Select default header type that displays on all single blog post pages.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '',
	'choices'     => $headers,
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'single_product_header_type',
	'label'       => esc_html__( 'Single Product', 'healsoul' ),
	'description' => esc_html__( 'Select default header type that displays on all single product pages.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '',
	'choices'     => $headers,
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'single_service_header_type',
	'label'       => esc_html__( 'Single Service', 'healsoul' ),
	'description' => esc_html__( 'Select default header type that displays on all single service pages.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '',
	'choices'     => $headers,
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'single_case_study_header_type',
	'label'       => esc_html__( 'Single Case Study', 'healsoul' ),
	'description' => esc_html__( 'Select default header type that displays on all single case study pages.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '',
	'choices'     => $headers,
) );
