<?php
$section  = 'socials';
$priority = 1;
$prefix   = 'social_';

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'social_link_target',
	'label'    => esc_html__( 'Open link in a new tab.', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'No', 'healsoul' ),
		'1' => esc_html__( 'Yes', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'      => 'repeater',
	'settings'  => 'social_link',
	'section'   => $section,
	'priority'  => $priority ++,
	'choices'   => array(
		'labels' => array(
			'add-new-row' => esc_html__( 'Add new social network', 'healsoul' ),
		),
	),
	'row_label' => array(
		'type'  => 'field',
		'field' => 'tooltip',
	),
	'default'   => array(
		array(
			'tooltip'    => esc_html__( 'Facebook', 'healsoul' ),
			'icon_class' => 'fab fa-facebook-f',
			'link_url'   => 'https://facebook.com',
		),
		array(
			'tooltip'    => esc_html__( 'Twitter', 'healsoul' ),
			'icon_class' => 'fab fa-twitter',
			'link_url'   => 'https://twitter.com',
		),
		array(
			'tooltip'    => esc_html__( 'Pinterest', 'healsoul' ),
			'icon_class' => 'fab fa-pinterest',
			'link_url'   => 'https://www.pinterest.com',
		),
		array(
			'tooltip'    => esc_html__( 'Linkedin', 'healsoul' ),
			'icon_class' => 'fab fa-linkedin',
			'link_url'   => 'https://www.linkedin.com',
		),
	),
	'fields'    => array(
		'tooltip'    => array(
			'type'        => 'text',
			'label'       => esc_html__( 'Tooltip', 'healsoul' ),
			'description' => esc_html__( 'Enter your hint text for your icon', 'healsoul' ),
			'default'     => '',
		),
		'icon_class' => array(
			'type'        => 'text',
			'label'       => esc_html__( 'Icon Class', 'healsoul' ),
			'description' => esc_html__( 'This will be the icon class for your link', 'healsoul' ),
			'default'     => '',
		),
		'link_url'   => array(
			'type'        => 'text',
			'label'       => esc_html__( 'Link URL', 'healsoul' ),
			'description' => esc_html__( 'This will be the link URL', 'healsoul' ),
			'default'     => '',
		),
	),
) );
