<?php
// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Initial OneClick import for this theme
 */
if ( ! class_exists( 'Healsoul_Import' ) ) {
	class Healsoul_Import {

		public function __construct() {
			add_filter( 'insight_core_import_demos', array( $this, 'import_demos' ) );
			add_filter( 'insight_core_import_generate_thumb', '__return_true' );
			add_filter( 'insight_core_import_delete_exist_posts', '__return_true' );
		}

		public function import_demos() {
			return array(
				'main'  => array(
					'screenshot' => HEALSOUL_THEME_URI . '/screenshot.jpg',
					'name'       => HEALSOUL_THEME_NAME . ' Main',
					'url'        => 'https://www.dropbox.com/s/5qy9qfj0dba3zan/healsoul-insightcore01-main-1.4.5.zip?dl=1',
				),
				'rtl'  => array(
					'screenshot' => HEALSOUL_THEME_URI . '/assets/import/rtl/screenshot-rtl.png',
					'name'       => HEALSOUL_THEME_NAME . ' RTL',
					'url'        => 'https://www.dropbox.com/s/kilg49abbga7y9o/healsoul-insightcore01-rtl.zip?dl=1',
				),
			);
		}
	}

	new Healsoul_Import();
}
