<div class="post-meta">
	<?php if ( Healsoul::setting( 'single_post_author_enable' ) === '1' ) : ?>
		<div class="post-author-meta">
			<?php echo get_avatar( get_the_author_meta( 'ID' ), 50 ); ?>
			<span><?php echo esc_html( 'By', 'healsoul' ); ?></span>
			<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>">
				<?php the_author(); ?>
			</a>
		</div>
	<?php endif; ?>

	<?php if ( Healsoul::setting( 'single_post_date_enable' ) === '1' ) : ?>
		<div class="post-date">
			<?php echo get_the_date(); ?>
		</div>
	<?php endif; ?>

	<?php if ( Healsoul::setting( 'single_post_comment_count_enable' ) ) : ?>
		<div class="post-comments-number">
			<?php
			$comment_count = get_comments_number();
			printf( esc_html( _n( '%1$s Comment', '%1$s Comments', $comment_count, 'healsoul' ) ), $comment_count );
			?>
		</div>
	<?php endif; ?>

	<?php if ( Healsoul::setting( 'single_post_view_enable' ) === '1' && class_exists( 'InsightCore_View' ) ) : ?>
		<div class="post-view">
			<?php
			$views = InsightCore_View::get_views();
			printf( esc_html( _n( '%1$s View', '%1$s Views', $views, 'healsoul' ) ), $views );
			?>
		</div>
	<?php endif; ?>

	<?php if ( Healsoul::setting( 'single_post_like_enable' ) === '1' ) : ?>
		<?php Healsoul_Templates::post_likes(); ?>
	<?php endif; ?>
</div>
