<?php
while ( $healsoul_query->have_posts() ) :
	$healsoul_query->the_post();
	$classes = array( 'post-item grid-item' );
	?>
	<div <?php post_class( implode( ' ', $classes ) ); ?>>
		<div class="post-item-wrap">
			<div class="post-feature-wrap">
				<?php if ( has_post_thumbnail() ) { ?>
					<div class="post-feature post-thumbnail">
						<a href="<?php the_permalink(); ?>">
							<?php
							$full_image_size = get_the_post_thumbnail_url( null, 'full' );
							Healsoul_Helper::get_lazy_load_image( array(
								'url'    => $full_image_size,
								'width'  => 440,
								'height' => 267,
								'crop'   => true,
								'echo'   => true,
								'alt'    => get_the_title(),
							) );
							?>
						</a>
					</div>
				<?php } ?>

				<div class="post-read-more">
					<a href="<?php the_permalink(); ?>">
						<i class="fas fa-arrow-right"></i>
					</a>
				</div>
			</div>

			<div class="post-info">
				<div class="post-date">
					<?php echo get_the_date( 'M d, Y' ); ?>
				</div>

				<?php get_template_part( 'loop/blog/title' ); ?>
			</div>
		</div>

	</div>
<?php endwhile;
