<?php
extract( $healsoul_shortcode_atts );
?>
<div class="swiper-container">
	<div class="swiper-wrapper">
		<?php while ( $healsoul_query->have_posts() ) :
			$healsoul_query->the_post();

			$_meta = unserialize( get_post_meta( get_the_ID(), 'insight_testimonial_options', true ) );
			?>
			<div class="swiper-slide">

				<div class="testimonial-item">
					<div class="quote-icon">
						<svg width="33px" height="27px" viewBox="0 0 33 27" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
							<title>“</title>
							<g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
								<g transform="translate(-745.000000, -3694.000000)" fill="#E12555" fill-rule="nonzero">
									<g transform="translate(479.000000, 3626.000000)">
										<g>
											<g transform="translate(97.000000, 68.000000)">
												<g>
													<g transform="translate(161.000000, 0.000000)">
														<path d="M40.16,26.88 L40.16,15.36 L33.92,15.36 L33.92,12.84 C33.92,8.28 35.84,6 39.68,6 L39.68,6 L39.68,5.68434189e-14 C30.72,5.68434189e-14 26.24,5 26.24,15 C26.24,18.68 26.76,22.64 27.8,26.88 L27.8,26.88 L40.16,26.88 Z M21.92,26.88 L21.92,15.36 L15.68,15.36 L15.68,12.84 C15.68,8.28 17.6,6 21.44,6 L21.44,6 L21.44,5.68434189e-14 C12.48,5.68434189e-14 8,5 8,15 C8,18.68 8.52,22.64 9.56,26.88 L9.56,26.88 L21.92,26.88 Z" id="“"></path>
													</g>
												</g>
											</g>
										</g>
									</g>
								</g>
							</g>
						</svg>
					</div>

					<div class="testimonial-info">
						<?php if ( has_post_thumbnail() ): ?>
							<?php
							$full_image_size = get_the_post_thumbnail_url( null, 'full' );
							$image_url       = Healsoul_Helper::aq_resize( array(
								'url'    => $full_image_size,
								'width'  => 80,
								'height' => 80,
								'crop'   => true,
							) );
							?>
							<div class="post-thumbnail">
								<img src="<?php echo esc_url( $image_url ); ?>"
								     alt="<?php echo esc_attr( get_the_title() ); ?>"/>
							</div>
						<?php endif; ?>

						<div class="testimonial-main-info">
							<h6 class="testimonial-name"><?php the_title(); ?></h6>

							<?php if ( isset( $_meta['by_line'] ) ) : ?>
								<div
									class="testimonial-by-line"><?php echo esc_html( $_meta['by_line'] ); ?></div>
							<?php endif; ?>
						</div>
					</div>

					<div class="testimonial-content">
						<div class="testimonial-desc"><?php the_content(); ?></div>
						<?php if ( isset( $_meta['rating'] ) && $_meta['rating'] !== '' ): ?>
							<div class="testimonial-rating">
								<?php Healsoul_Templates::get_rating_template( $_meta['rating'] ); ?>
							</div>
						<?php endif; ?>
					</div>
				</div>

			</div>

		<?php endwhile; ?>
	</div>
</div>
