<?php
/**
 * The template for displaying all single case study posts.
 *
 * @package Healsoul
 * @since   1.0
 */
get_header();
?>
<?php Healsoul_Templates::title_bar(); ?>

	<div id="page-content" class="page-content">
		<div class="container">
			<div class="row">

				<?php Healsoul_Templates::render_sidebar( 'left' ); ?>

				<div class="page-main-content">
					<?php while ( have_posts() ) : the_post(); ?>

						<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
							<?php the_content(); ?>
						</article>

					<?php endwhile; ?>
				</div>

				<?php Healsoul_Templates::render_sidebar( 'right' ); ?>

			</div>
		</div>
	</div>

<?php
get_footer();
