<?php

class WPBakeryShortCode_TM_Gradation extends WPBakeryShortCode {

	public function get_inline_css( $selector, $atts ) {
		Healsoul_VC::get_vc_spacing_css( $selector, $atts );
	}
}

vc_map( array(
	'name'                      => esc_html__( 'Gradation', 'healsoul' ),
	'base'                      => 'tm_gradation',
	'category'                  => HEALSOUL_VC_SHORTCODE_CATEGORY,
	'icon'                      => 'insight-i insight-i-list',
	'allowed_container_element' => 'vc_row',
	'params'                    => array_merge( array(
		array(
			'heading'     => esc_html__( 'Style', 'healsoul' ),
			'type'        => 'dropdown',
			'param_name'  => 'list_style',
			'value'       => array(
				esc_html__( 'Basic', 'healsoul' )      => 'basic',
				esc_html__( 'No number', 'healsoul' )  => 'no_number',
				esc_html__( 'With image', 'healsoul' ) => 'with_image',
			),
			'admin_label' => true,
			'std'         => 'basic',
		),
		array(
			'group'      => esc_html__( 'Items', 'healsoul' ),
			'heading'    => esc_html__( 'Items', 'healsoul' ),
			'type'       => 'param_group',
			'param_name' => 'items',
			'params'     => array(
				array(
					'heading'     => esc_html__( 'Image', 'healsoul' ),
					'type'        => 'attach_image',
					'param_name'  => 'image',
					'admin_label' => true,
					'description' => esc_html__( 'Only display in With image style', 'healsoul' ),
				),
				array(
					'heading'     => esc_html__( 'Title', 'healsoul' ),
					'type'        => 'textfield',
					'param_name'  => 'title',
					'admin_label' => true,
				),
				array(
					'heading'    => esc_html__( 'Description', 'healsoul' ),
					'type'       => 'textarea',
					'param_name' => 'text',
				),
			),

		),

	), Healsoul_VC::get_vc_spacing_tab() ),
) );
