<?php

class WPBakeryShortCode_TM_Mailchimp_Form extends WPBakeryShortCode {

}

vc_map( array(
	'name'                      => esc_html__( 'Mailchimp Form', 'healsoul' ),
	'base'                      => 'tm_mailchimp_form',
	'category'                  => HEALSOUL_VC_SHORTCODE_CATEGORY,
	'icon'                      => 'insight-i insight-i-mailchimp-form',
	'allowed_container_element' => 'vc_row',
	'params'                    => array(
		array(
			'type'        => 'textfield',
			'heading'     => esc_html__( 'Widget title', 'healsoul' ),
			'param_name'  => 'title',
			'description' => esc_html__( 'What text use as a widget title. Leave blank to use default widget title.', 'healsoul' ),
		),
		array(
			'heading'     => esc_html__( 'Form ID', 'healsoul' ),
			'description' => esc_html__( 'Input the id of form. Leave blank to show default form.', 'healsoul' ),
			'type'        => 'textfield',
			'param_name'  => 'form_id',
		),
		array(
			'heading'     => esc_html__( 'Style', 'healsoul' ),
			'type'        => 'dropdown',
			'param_name'  => 'style',
			'admin_label' => true,
			'value'       => array(
				esc_html__( '1', 'healsoul' )  => '1',
				esc_html__( '2', 'healsoul' )  => '2',
				esc_html__( '3', 'healsoul' )  => '3',
				esc_html__( '4', 'healsoul' )  => '4',
				esc_html__( '5', 'healsoul' )  => '5',
			),
			'std'         => '1',
		),
		Healsoul_VC::extra_class_field(),
	),
) );
