<?php

class WPBakeryShortCode_TM_Service_List extends WPBakeryShortCode {
}

vc_map( array(
	'name'                      => esc_html__( 'Service List', 'healsoul' ),
	'base'                      => 'tm_service_list',
	'category'                  => HEALSOUL_VC_SHORTCODE_CATEGORY,
	'icon'                      => 'insight-i insight-i-icons',
	'allowed_container_element' => 'vc_row',
	'params'                    => array(
		array(
			'heading'    => esc_html__( 'Items', 'healsoul' ),
			'type'       => 'param_group',
			'param_name' => 'items',
			'params'     => array(
				array(
					'heading'     => esc_html__( 'Image', 'healsoul' ),
					'type'        => 'attach_image',
					'param_name'  => 'item_image',
					'admin_label' => true,
				),
				array(
					'heading'     => esc_html__( 'Title', 'healsoul' ),
					'type'        => 'textfield',
					'param_name'  => 'item_title',
					'admin_label' => true,
				),
				array(
					'heading'    => esc_html__( 'Link', 'healsoul' ),
					'type'       => 'vc_link',
					'param_name' => 'item_link',
				),
				array(
					'type'        => 'iconpicker',
					'heading'     => esc_html__( 'Icon', 'healsoul' ),
					'param_name'  => 'icon_flaticon',
					'settings'    => array(
						'emptyIcon'    => true,
						'type'         => 'flaticon',
						'iconsPerPage' => 400,
					),
					'description' => esc_html__( 'Select icon from library.', 'healsoul' ),
				),
			),
		),
	),
) );
