<?php
// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Enqueue child scripts
 */
if ( ! function_exists( 'healsoul_child_enqueue_scripts' ) ) {
	function healsoul_child_enqueue_scripts() {
		wp_enqueue_style( 'healsoul-style', HEALSOUL_THEME_URI . "/style.css" );
		wp_enqueue_style( 'healsoul-child-style', get_stylesheet_directory_uri() . '/style.css', array( 'healsoul-style' ), wp_get_theme()->get( 'Version' ) );
	}
}
add_action( 'wp_enqueue_scripts', 'healsoul_child_enqueue_scripts' );
