<?php
$text = Healsoul::setting( 'header_style_11_text' );
?>
<header id="page-header" <?php Healsoul::header_class(); ?>>
	<div id="page-header-inner" class="page-header-inner" data-sticky="1">
		<div class="header-above">
			<?php get_template_part( 'components/branding' ); ?>

			<?php get_template_part( 'components/navigation' ); ?>

			<div class="header-right">

				<?php Healsoul_Templates::header_language_switcher(); ?>

				<?php Healsoul_Woo::header_mini_cart(); ?>

				<?php Healsoul_Templates::header_button( array(
					'extra_class' => 'has-triangle-top-bottom',
				) ); ?>
				<?php Healsoul_Templates::header_social_networks( array(
					'tooltip_position' => 'bottom',
				) ); ?>

				<?php Healsoul_Templates::header_open_mobile_menu_button(); ?>
			</div>
		</div>

		<div class="header-below">
			<?php Healsoul_Templates::header_link_list(); ?>

			<div class="header-right-below">
				<?php Healsoul_Templates::header_search_form(); ?>

				<?php echo '<div class="header-text-wrap"><div class="header-text">' . $text . '</div></div>' ?>
			</div>
		</div>
	</div>
</header>
