<?php
$section  = 'archive_caregiver';
$priority = 1;
$prefix   = 'archive_caregiver_';

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'select',
	'settings' => 'archive_caregiver_style',
	'label'    => esc_html__( 'Style', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => 'grid-04',
	'choices'  => array(
		'grid-01'           => esc_attr__( 'Grid 01', 'healsoul' ),
		'grid-02'           => esc_attr__( 'Grid 02', 'healsoul' ),
		'grid-03'           => esc_attr__( 'Grid 03', 'healsoul' ),
		'grid-04'           => esc_attr__( 'Grid 04', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'text',
	'settings' => $prefix . 'form_title',
	'label'    => esc_html__( 'Form title', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => esc_html__( 'Find a Caregiver', 'healsoul' ),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'text',
	'settings' => $prefix . 'button_text',
	'label'    => esc_html__( 'Button Text', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => esc_html__( 'Get care now', 'healsoul' ),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'text',
	'settings' => $prefix . 'location_label',
	'label'    => esc_html__( 'Location Label', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => esc_html__( 'Select your location', 'healsoul' ),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'text',
	'settings' => $prefix . 'service_label',
	'label'    => esc_html__( 'Service Label', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => esc_html__( 'Select your service', 'healsoul' ),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'archive_caregiver_animation',
	'label'       => esc_html__( 'Animation', 'healsoul' ),
	'description' => esc_html__( 'Select type of animation for element to be animated when it "enters" the browsers viewport (Note: works only in modern browsers).', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => 'move-up',
	'choices'     => array(
		'none'             => esc_attr__( 'None', 'healsoul' ),
		'fade-in'          => esc_attr__( 'Fade In', 'healsoul' ),
		'move-up'          => esc_attr__( 'Move Up', 'healsoul' ),
		'scale-up'         => esc_attr__( 'Scale Up', 'healsoul' ),
		'fall-perspective' => esc_attr__( 'Fall Perspective', 'healsoul' ),
		'fly'              => esc_attr__( 'Fly', 'healsoul' ),
		'flip'             => esc_attr__( 'Flip', 'healsoul' ),
		'helix'            => esc_attr__( 'Helix', 'healsoul' ),
		'pop-up'           => esc_attr__( 'Pop Up', 'healsoul' ),
	),
) );
