<?php
$section  = 'archive_case_study';
$priority = 1;
$prefix   = 'archive_case_study_';

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'select',
	'settings' => 'archive_case_study_style',
	'label'    => esc_html__( 'Style', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => 'grid-caption',
	'choices'  => array(
		'grid'           => esc_attr__( 'Grid', 'healsoul' ),
		'grid-caption'   => esc_attr__( 'Grid Caption', 'healsoul' ),
		'grid-caption-2' => esc_attr__( 'Grid Caption 2', 'healsoul' ),
		'grid-caption-3' => esc_attr__( 'Grid Caption 3', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'select',
	'settings' => 'archive_case_study_thumbnail_size',
	'label'    => esc_html__( 'Thumbnail Size', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '370x243',
	'choices'  => array(
		'370x243' => esc_attr__( '370x243', 'healsoul' ),
		'370x320' => esc_attr__( '370x320', 'healsoul' ),
		'480x480' => esc_attr__( '480x480', 'healsoul' ),
		'570x385' => esc_attr__( '570x385', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'number',
	'settings' => 'archive_case_study_gutter',
	'label'    => esc_html__( 'Gutter', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => 30,
	'choices'  => array(
		'min'  => 0,
		'step' => 1,
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'number',
	'settings' => 'archive_case_study_row_gutter',
	'label'    => esc_html__( 'Row Gutter', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => 60,
	'choices'  => array(
		'min'  => 0,
		'step' => 1,
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'text',
	'settings' => 'archive_case_study_columns',
	'label'    => esc_html__( 'Columns', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => 'xs:1;sm:2;md:3;lg:3',
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'archive_case_study_animation',
	'label'       => esc_html__( 'Animation', 'healsoul' ),
	'description' => esc_html__( 'Select type of animation for element to be animated when it "enters" the browsers viewport (Note: works only in modern browsers).', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => 'move-up',
	'choices'     => array(
		'none'             => esc_attr__( 'None', 'healsoul' ),
		'fade-in'          => esc_attr__( 'Fade In', 'healsoul' ),
		'move-up'          => esc_attr__( 'Move Up', 'healsoul' ),
		'scale-up'         => esc_attr__( 'Scale Up', 'healsoul' ),
		'fall-perspective' => esc_attr__( 'Fall Perspective', 'healsoul' ),
		'fly'              => esc_attr__( 'Fly', 'healsoul' ),
		'flip'             => esc_attr__( 'Flip', 'healsoul' ),
		'helix'            => esc_attr__( 'Helix', 'healsoul' ),
		'pop-up'           => esc_attr__( 'Pop Up', 'healsoul' ),
	),
) );
