<?php
$section  = 'social_sharing';
$priority = 1;
$prefix   = 'social_sharing_';

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'multicheck',
	'settings'    => $prefix . 'items',
	'label'       => esc_attr__( 'Sharing Links', 'healsoul' ),
	'description' => esc_html__( 'Check to the box to enable social share links.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => array( 'facebook', 'twitter', 'linkedin', 'google_plus' ),
	'choices'     => array(
		'facebook'    => esc_attr__( 'Facebook', 'healsoul' ),
		'twitter'     => esc_attr__( 'Twitter', 'healsoul' ),
		'linkedin'    => esc_attr__( 'Linkedin', 'healsoul' ),
		'google_plus' => esc_attr__( 'Google+', 'healsoul' ),
		'tumblr'      => esc_attr__( 'Tumblr', 'healsoul' ),
		'email'       => esc_attr__( 'Email', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'sortable',
	'settings'    => $prefix . 'order',
	'label'       => esc_attr__( 'Order', 'healsoul' ),
	'description' => esc_html__( 'Controls the order of social share links.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => array(
		'facebook',
		'twitter',
		'google_plus',
		'tumblr',
		'linkedin',
		'email',
	),
	'choices'     => array(
		'facebook'    => esc_attr__( 'Facebook', 'healsoul' ),
		'twitter'     => esc_attr__( 'Twitter', 'healsoul' ),
		'google_plus' => esc_attr__( 'Google+', 'healsoul' ),
		'tumblr'      => esc_attr__( 'Tumblr', 'healsoul' ),
		'linkedin'    => esc_attr__( 'Linkedin', 'healsoul' ),
		'email'       => esc_attr__( 'Email', 'healsoul' ),
	),
) );
