<?php
$section  = 'archive_service';
$priority = 1;
$prefix   = 'archive_service_';

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'select',
	'settings' => 'archive_service_style',
	'label'    => esc_html__( 'Style', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => 'grid_classic_02',
	'choices'  => array(
		'grid_classic_01' => esc_attr__( 'Grid Classic 01', 'healsoul' ),
		'grid_classic_02' => esc_attr__( 'Grid Classic 02', 'healsoul' ),
		'grid_classic_03' => esc_attr__( 'Grid Classic 03', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'select',
	'settings' => 'archive_service_thumbnail_size',
	'label'    => esc_html__( 'Thumbnail Size', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '370x250',
	'choices'  => array(
		'480x480' => esc_attr__( '480x480', 'healsoul' ),
		'370x250' => esc_attr__( '370x250', 'healsoul' ),
		'570x385' => esc_attr__( '570x385', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'number',
	'settings' => 'archive_service_gutter',
	'label'    => esc_html__( 'Gutter', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => 30,
	'choices'  => array(
		'min'  => 0,
		'step' => 1,
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'number',
	'settings' => 'archive_service_row_gutter',
	'label'    => esc_html__( 'Row Gutter', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => 55,
	'choices'  => array(
		'min'  => 0,
		'step' => 1,
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'     => 'text',
	'settings' => 'archive_service_columns',
	'label'    => esc_html__( 'Columns', 'healsoul' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => 'xs:1;sm:2;md:3;lg:3',
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'archive_service_animation',
	'label'       => esc_html__( 'Animation', 'healsoul' ),
	'description' => esc_html__( 'Select type of animation for element to be animated when it "enters" the browsers viewport (Note: works only in modern browsers).', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => 'fall-perspective',
	'choices'     => array(
		'none'             => esc_attr__( 'None', 'healsoul' ),
		'fade-in'          => esc_attr__( 'Fade In', 'healsoul' ),
		'move-up'          => esc_attr__( 'Move Up', 'healsoul' ),
		'scale-up'         => esc_attr__( 'Scale Up', 'healsoul' ),
		'fall-perspective' => esc_attr__( 'Fall Perspective', 'healsoul' ),
		'fly'              => esc_attr__( 'Fly', 'healsoul' ),
		'flip'             => esc_attr__( 'Flip', 'healsoul' ),
		'helix'            => esc_attr__( 'Helix', 'healsoul' ),
		'pop-up'           => esc_attr__( 'Pop Up', 'healsoul' ),
	),
) );
