<?php
$section  = 'shop_archive';
$priority = 1;
$prefix   = 'shop_archive_';

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'shop_archive_new_days',
	'label'       => esc_html__( 'New Badge (Days)', 'healsoul' ),
	'description' => esc_html__( 'If the product was published within the newness time frame display the new badge.', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '90',
	'choices'     => array(
		'0'  => esc_html__( 'None', 'healsoul' ),
		'1'  => esc_html__( '1 day', 'healsoul' ),
		'2'  => esc_html__( '2 days', 'healsoul' ),
		'3'  => esc_html__( '3 days', 'healsoul' ),
		'4'  => esc_html__( '4 days', 'healsoul' ),
		'5'  => esc_html__( '5 days', 'healsoul' ),
		'6'  => esc_html__( '6 days', 'healsoul' ),
		'7'  => esc_html__( '7 days', 'healsoul' ),
		'8'  => esc_html__( '8 days', 'healsoul' ),
		'9'  => esc_html__( '9 days', 'healsoul' ),
		'10' => esc_html__( '10 days', 'healsoul' ),
		'15' => esc_html__( '15 days', 'healsoul' ),
		'20' => esc_html__( '20 days', 'healsoul' ),
		'25' => esc_html__( '25 days', 'healsoul' ),
		'30' => esc_html__( '30 days', 'healsoul' ),
		'60' => esc_html__( '60 days', 'healsoul' ),
		'90' => esc_html__( '90 days', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'shop_archive_quick_view',
	'label'       => esc_html__( 'Quick view', 'healsoul' ),
	'description' => esc_html__( 'Turn on to display the quick view button', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '1',
	'choices'     => array(
		'0' => esc_html__( 'Off', 'healsoul' ),
		'1' => esc_html__( 'On', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'shop_archive_compare',
	'label'       => esc_html__( 'Compare', 'healsoul' ),
	'description' => esc_html__( 'Turn on to display the compare button', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '1',
	'choices'     => array(
		'0' => esc_html__( 'Off', 'healsoul' ),
		'1' => esc_html__( 'On', 'healsoul' ),
	),
) );

Healsoul_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'shop_archive_wishlist',
	'label'       => esc_html__( 'Wishlist', 'healsoul' ),
	'description' => esc_html__( 'Turn on to display the wishlist button', 'healsoul' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '1',
	'choices'     => array(
		'0' => esc_html__( 'Off', 'healsoul' ),
		'1' => esc_html__( 'On', 'healsoul' ),
	),
) );
