<?php

class WPBakeryShortCode_TM_Accordion extends WPBakeryShortCode {

	public function get_inline_css( $selector, $atts ) {
		Healsoul_VC::get_vc_spacing_css( $selector, $atts );
	}
}

vc_map( array(
	'name'                      => esc_html__( 'Accordion', 'healsoul' ),
	'base'                      => 'tm_accordion',
	'category'                  => HEALSOUL_VC_SHORTCODE_CATEGORY,
	'icon'                      => 'insight-i insight-i-accordion',
	'allowed_container_element' => 'vc_row',
	'params'                    => array_merge( array(
		array(
			'heading'     => esc_html__( 'Style', 'healsoul' ),
			'type'        => 'dropdown',
			'param_name'  => 'style',
			'admin_label' => true,
			'value'       => array(
				esc_html__( 'Style 01', 'healsoul' ) => '1',
				esc_html__( 'Style 02', 'healsoul' ) => '2',
				esc_html__( 'Style 03', 'healsoul' ) => '3',
			),
			'std'         => '1',
		),
		array(
			'heading'    => esc_html__( 'Multi Open', 'healsoul' ),
			'type'       => 'checkbox',
			'param_name' => 'multi_open',
			'value'      => array( esc_html__( 'Yes', 'healsoul' ) => '1' ),
		),
		array(
			'heading'    => esc_html__( 'Auto number', 'healsoul' ),
			'type'       => 'checkbox',
			'param_name' => 'auto_number_style',
			'value'      => array( esc_html__( 'Yes', 'healsoul' ) => '1' ),
		),
		Healsoul_VC::extra_class_field(),
		array(
			'group'      => esc_html__( 'Items', 'healsoul' ),
			'heading'    => esc_html__( 'Items', 'healsoul' ),
			'type'       => 'param_group',
			'param_name' => 'items',
			'params'     => array(
				array(
					'heading'     => esc_html__( 'Title', 'healsoul' ),
					'type'        => 'textfield',
					'param_name'  => 'title',
					'admin_label' => true,
				),
				array(
					'heading'    => esc_html__( 'Content', 'healsoul' ),
					'type'       => 'textarea',
					'param_name' => 'content',
				),
			),
		),
	), Healsoul_VC::get_vc_spacing_tab() ),
) );
