<?php

class WPBakeryShortCode_TM_Caregiver_Search_Form extends WPBakeryShortCode {

}

vc_map( array(
	'name'                      => esc_html__( 'Caregiver search form', 'healsoul' ),
	'base'                      => 'tm_caregiver_search_form',
	'category'                  => HEALSOUL_VC_SHORTCODE_CATEGORY,
	'icon'                      => 'insight-i insight-i-contact-form-7',
	'allowed_container_element' => 'vc_row',
	'params'                    => array_merge( array(
		array(
			'heading'     => esc_html__( 'Heading', 'healsoul' ),
			'type'        => 'textfield',
			'param_name'  => 'heading',
			'admin_label' => true,
		),
		array(
			'heading'     => esc_html__( 'Style', 'healsoul' ),
			'type'        => 'dropdown',
			'param_name'  => 'style',
			'admin_label' => true,
			'value'       => array(
				esc_html__( '01', 'healsoul' ) => '01',
				esc_html__( '02', 'healsoul' ) => '02',
			),
			'std'         => '01',
		),
		array(
			'heading'    => esc_html__( 'Button Text', 'healsoul' ),
			'type'       => 'textfield',
			'param_name' => 'button_text',
		),

		Healsoul_VC::extra_class_field(),
	), Healsoul_VC::get_custom_style_tab() ),
) );
