<?php

class WPBakeryShortCode_TM_Office_Info extends WPBakeryShortCode {
}

vc_map( array(
	'name'     => esc_html__( 'Office Info', 'healsoul' ),
	'base'     => 'tm_office_info',
	'category' => HEALSOUL_VC_SHORTCODE_CATEGORY,
	'icon'     => 'insight-i insight-i-info-boxes',
	'params'   => array(
		array(
			'heading'     => esc_html__( 'Image', 'healsoul' ),
			'type'        => 'attach_image',
			'param_name'  => 'image',
			'admin_label' => true,
		),
		array(
			'heading'     => esc_html__( 'Title', 'healsoul' ),
			'type'        => 'textfield',
			'param_name'  => 'title',
			'admin_label' => true,
		),
		array(
			'heading'     => esc_html__( 'Address', 'healsoul' ),
			'type'        => 'textfield',
			'param_name'  => 'address',
			'admin_label' => true,
		),
		array(
			'heading'     => esc_html__( 'Email', 'healsoul' ),
			'type'        => 'textfield',
			'param_name'  => 'email',
			'admin_label' => true,
		),
		array(
			'heading'     => esc_html__( 'Phone', 'healsoul' ),
			'type'        => 'textfield',
			'param_name'  => 'phone',
			'admin_label' => true,
		),
		array(
			'heading'    => esc_html__( 'Link', 'healsoul' ),
			'type'       => 'vc_link',
			'param_name' => 'link',
		),
		Healsoul_VC::extra_class_field(),
		Healsoul_VC::get_animation_field()
	)
) );

