<?php

class WPBakeryShortCode_TM_Skill_Box extends WPBakeryShortCode {
	public function get_inline_css( $selector, $atts ) {
		Healsoul_VC::get_vc_spacing_css( $selector, $atts );
	}
}

vc_map( array(
	'name'     => esc_html__( 'Skill Box', 'healsoul' ),
	'base'     => 'tm_skill_box',
	'category' => HEALSOUL_VC_SHORTCODE_CATEGORY,
	'icon'     => 'insight-i insight-i-info-boxes',
	'params'   => array_merge( array(
		array(
			'heading'     => esc_html__( 'Title', 'healsoul' ),
			'type'        => 'textfield',
			'param_name'  => 'title',
			'admin_label' => true,
			'std'         => '',
		),
		Healsoul_VC::get_animation_field(),
		Healsoul_VC::extra_class_field(),
		array(
			'group'      => esc_html__( 'Items', 'healsoul' ),
			'heading'    => esc_html__( 'Items', 'healsoul' ),
			'type'       => 'param_group',
			'param_name' => 'items',
			'params'     => array(
				array(
					'heading'     => esc_html__( 'Text', 'healsoul' ),
					'type'        => 'textfield',
					'param_name'  => 'text',
					'admin_label' => true,
				),
			),
		),
	), Healsoul_VC::icon_libraries( array( 'allow_none' => true ) ), Healsoul_VC::get_vc_spacing_tab() ),
) );

