<?php

class WPBakeryShortCode_TM_Working_Hour_List extends WPBakeryShortCode {

	public function get_inline_css( $selector, $atts ) {
		Healsoul_VC::get_vc_spacing_css( $selector, $atts );
	}
}

vc_map( array(
	'name'                      => esc_html__( 'Working Hour List', 'healsoul' ),
	'base'                      => 'tm_working_hour_list',
	'category'                  => HEALSOUL_VC_SHORTCODE_CATEGORY,
	'icon'                      => 'insight-i insight-i-restaurant-menu',
	'allowed_container_element' => 'vc_row',
	'params'                    => array_merge( array(
		array(
			'heading'     => esc_html__( 'Style', 'healsoul' ),
			'description' => esc_html__( 'Select style for menu.', 'healsoul' ),
			'type'        => 'dropdown',
			'param_name'  => 'style',
			'value'       => array(
				esc_html__( '01', 'healsoul' ) => '1',
			),
			'admin_label' => true,
		),
		Healsoul_VC::extra_class_field(),
		array(
			'group'      => esc_html__( 'Items', 'healsoul' ),
			'heading'    => esc_html__( 'Items', 'healsoul' ),
			'type'       => 'param_group',
			'param_name' => 'items',
			'params'     => array(
				array(
					'heading'     => esc_html__( 'Item Title', 'healsoul' ),
					'type'        => 'textfield',
					'param_name'  => 'title',
					'admin_label' => true,
				),
				array(
					'heading'    => esc_html__( 'Item Description', 'healsoul' ),
					'type'       => 'textarea',
					'param_name' => 'text',
				),
			),
		),
	), Healsoul_VC::get_vc_spacing_tab() ),
) );
